Package org.eclipse.emf.compare.req

# Interface IReqEngine

All Known Implementing Classes:
  `DefaultReqEngine`

public interface IReqEngine
This class defines the general contract of a Requirements engine. We expect subclasses to have a public, no-argument default constructor for instantiation.

We generally expect that a call to `#computeRequirements(Comparison)` will complete every single `Diff` it finds with all required differences that can be detected on its sides.

Clients can also subclass the `default implementation`.

See Also:
  - `DefaultReqEngine`

## Method Summary

Modifier and Type
Method
Description
`void`
`computeRequirements(Comparison comparison, Monitor monitor)`
This is the entry point of the requirements computing process.

## Method Details

### computeRequirements

void computeRequirements(Comparison comparison, Monitor monitor)
This is the entry point of the requirements computing process.

It will complete the input `comparison` by iterating over the `differences` it contains, filling in the requirements it can detect for each distinct Diff.

Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `monitor` - The monitor to report progress or to check for cancellation